function [] = buttonCopyFromOptimum(~, ~)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

%% Save Applied state
artoa.controller.edit.offsets.saveAppliedState();

%% Copy from optimum total offset columns to Applied columns

offsetIndicesToCopy = isnan(artoaWorkspace.editOffsets.offsets{:, 'AppliedOffset'});
driftIndicesToCopy = isnan(artoaWorkspace.editOffsets.offsets{:, 'AppliedDrift'});

artoaWorkspace.editOffsets.offsets{offsetIndicesToCopy, 'AppliedOffset'} = ...
    artoaWorkspace.editOffsets.offsets{offsetIndicesToCopy, 'OptimumTotalOffset'};
artoaWorkspace.editOffsets.offsets{driftIndicesToCopy, 'AppliedDrift'} = ...
    artoaWorkspace.editOffsets.offsets{driftIndicesToCopy, 'OptimumTotalDrift'};

artoaWorkspace.editOffsets.soundspeed.Applied(1) = artoaWorkspace.editOffsets.soundspeed.Optimum(1);

%% Update GUI
artoa.controller.edit.offsets.updateGui();

%% Recalculate
artoa.controller.edit.recalculateToaGpsAndPlot();

end

