%% Add variables for "use" to the parameter panel
if artoa.data.hasMember(artoaWorkspace, 'trackParameter', 'soundsourceCombinations')
    artoaWorkspace.trackParameter.soundsourceCombinations = ...
        addvars( ...
            artoaWorkspace.trackParameter.soundsourceCombinations, ...
            addTrueCell4289(length(artoaWorkspace.trackParameter.soundsourceCombinations.combinationBegin)), ...
            'Before', 'combinationBegin' ...
            );
	artoaWorkspace.trackParameter.soundsourceCombinations.Properties.VariableNames{1} = 'use';
end

%% Helper functions

function emptyCell = addTrueCell4289(pLength)
    emptyCell = true(pLength, 1);
end