function [] = resetSoundsourceCombinations(~, ~)
%RESETSOUNDSOURCECOMBINATIONS Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace;

if strcmp(questdlg('Reset all combinations?', 'Confirmation', 'Yes', 'Cancel', 'Cancel'), 'Cancel')
    return;
end

%% Disable updating of track parameter
artoaWorkspace.trajectoryOutput.updateTrackParameterWindow = false;

%% Delete from workspace
artoaWorkspace.trackParameter.soundsourceCombinations = ...
    artoa.controller.track.parameter.createCombinationsTable( ...
    artoa.controller.track.parameter.getDefaultCombinationCell() ...
);

%% Update gui
artoa.controller.track.parameter.updateGui();
artoa.controller.track.trajectoryOutput.updateGui();

end

